Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get product list

Gets a single product list including its rules and translations.

GET/api/v2/{team_slug}/{app_slug}/product-lists/{product_list_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
product_list_idstring<uuid>required
Responses
200

OK

dataProductListrequired
Show properties
idUUIDrequired
titlestringrequired
slugstringrequired
html_descriptionstringrequired
staticbooleanrequired
meta_titlestring | null
meta_descriptionstring | null
translationsProductListTranslation | null
Show properties
Any of:
ProductListTranslation
titleTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
slugTranslation[]
html_descriptionTranslation[]
meta_titleTranslation[]
meta_descriptionTranslation[]
null
null
rulesProductListRule[]
Show properties
Array of ProductListRule
idUUIDrequired
product_list_idUUIDrequired
targetProductListRuleTargetrequired
Allowed:stockpricesale_priceis_on_saleattributecategorycollectiontagbrandserie
operatorProductListRuleOperatorrequired
Allowed:less-thangreater-thanequalnot-equal
target_idsUUID[]
target_stockinteger | null
target_price_centsinteger | null

Gross cents (amount_cents_with_tax or sale_price_with_tax) for the selected store group and market.

target_is_on_saleboolean | null
store_group_idUUID | null

Price scope for price and sale_price targets.

Show properties
Any of:
UUID
string<uuid>
null
null
market_idUUID | null

Price scope for price and sale_price targets.

Show properties
Any of:
UUID
UUID
null
null
created_atstring<date-time>required
updated_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time> | null
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
404

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/product-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "slug": "string",
    "html_description": "string",
    "static": true,
    "meta_title": "string",
    "meta_description": "string",
    "translations": {
      "title": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "locale": "string",
          "value": "string"
        }
      ],
      "slug": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "locale": "string",
          "value": "string"
        }
      ],
      "html_description": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "locale": "string",
          "value": "string"
        }
      ],
      "meta_title": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "locale": "string",
          "value": "string"
        }
      ],
      "meta_description": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "locale": "string",
          "value": "string"
        }
      ]
    },
    "rules": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "product_list_id": "0f6ee94d-19db-428e-bfbb-16abab301909",
        "target": "stock",
        "operator": "less-than",
        "target_ids": [
          "497f6eca-6276-4993-bfeb-53cbbbba6f08"
        ],
        "target_stock": 0,
        "target_price_cents": 0,
        "target_is_on_sale": true,
        "store_group_id": "6c760e36-a704-4b09-93bb-c191a46ca67f",
        "market_id": "6364d859-8e1b-477a-bacc-de8305a9292b",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}